none
Ошибка после обновления Lync 2013 RRS feed

  • Вопрос

  • Здравствуйте.

    У меня следующая проблема: установил Lync 2013, прошло все успешно, все службы запустились. Скачал последнее CU обновление и посредством LyncServerUpdateInstaller установил, опять же все прошло без каких-либо проблем.После этого запустил "Мастер развертывания" и в установке компонентов напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка. Я нажал кнопку "Выполнить" и на стадии Отключение неиспользуемых ролей....возникает ошибка. Я приложу скрин этой ошибки.

    Если кто-то встречался с этой проблемой и знает как ее побороть, напишите.

    Спасибо.

    7 июля 2015 г. 17:12

Ответы

  • С одной стороны это так. Но почему, если уж я зашел в мастер развертывания и там обнаружил, что напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка??? Значит Линк считает, что с установкой обновлений в него явно что-то новое добавилось и не зря эта галочка отсутствует.

    В итоге я решил проблему. Вроде бы для Линка все обновления CU, а это значит, что берешь самое последнее накатываешь и больше ничего не надо.

    Сделал следующее: нашел у себя обновление от декабря 2014 и установил его. А затем сразу же после этого решил поставить самое последнее обновление.....также обновления встали без ошибок.

    Опять же полез в мастер развертывания обнаружил, что напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка. Нажал кнопку "Выполнить" и процесс прошел без каких-либо ошибок.

    • Помечено в качестве ответа Nik0la 10 июля 2015 г. 13:04
    10 июля 2015 г. 10:15

Все ответы

  • Для чего вы запускали Deployment Wizard после установки обновления? Вы следовали инструкции, приложенной к пакету обновлений?

    Do not multiply entities beyond what is necessary

  • Я уже не в первый раз обновляю Lync. В прошлый раз обновления помогли мне устранить ошибку. Всегда все проходило без ошибок.

    Запустил Deployment Wizard, чтобы проверить, опять же исходя из опыта, что все ли в порядке. И увидел  что напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка. У меня сразу возник вопрос, почему после успешного обновления пропала галочка и после нажатия на кнопку "Выполнить" появились ошибки???

    Может это баг обновления?

    Единственное, что у меня развернуть Pool, который включает в себя два Lync сервера Enterprise редакции. Это может играть какую-то роль?



    • Изменено Nik0la 8 июля 2015 г. 7:02
  • конечно играет. Я же обратил ваше внимание на инструкцию по обновлению. Для Enterprise Edition там выполняются дополнительные действия для Back End.

    Do not multiply entities beyond what is necessary

  • Да я вроде читал статьи про обновления Back End серверов. Может Вы подскажите что-то или ссылки дадите
  • Вы знаете, как я понял, данная проблема не связана с обновлением Back End сервера.

    Попробовал следующее: я обычно, для того, чтобы обновить Lync скачиваю последнее обновление одним exe файлом LyncServerUpdateInstaller. Проверяю готов ли Lync принять обновление и, запустив это exe файл обновляю Lync. Этот файл в итоге обновляет 13 компонентов.

    Я решил отдельно скачать эти обновления и запустить их друг за другом, проверив, после установки какого из этих обновлений появляется вышеуказанная ошибка.

    Так вот, после установки одного обновления под названием Server, который обновляет Lync Server 2013, и возникает ошибка, которую я выложил в скрине.

    Вот я и спрашивал, может кто знает о такой проблеме и с чем она может быть связана?

  • Посмотрите журнал событий Lync Server. Также посмотрите журнал мастера развертывания. Убедитесь, что необходимые службы Lync Server запущены.

    Do not multiply entities beyond what is necessary

  • Журналы посмотрю, но про службы могу сказать однозначно, что все они работают.

    Как ни странно обновление же устанавливается успешно, службы все запускаются. А ошибка, указанная на скрине, появляется. И даже до обновления Back end серверов не доходит дело.

  • Только что проверил, что когда устанавливаешь обновления от декабря 2014 года, то все устанавливается и никаких ошибок нет.

    Может же быть, что последнее обновление имеет определенный "баг"???

    9 июля 2015 г. 11:39
  • Мне кажется вы заморочились не тем, после обновления через штатную процедуру не нужно запускать ни  каких деплоев, вы же не удаляли Lync. 
    10 июля 2015 г. 6:06
  • С одной стороны это так. Но почему, если уж я зашел в мастер развертывания и там обнаружил, что напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка??? Значит Линк считает, что с установкой обновлений в него явно что-то новое добавилось и не зря эта галочка отсутствует.

    В итоге я решил проблему. Вроде бы для Линка все обновления CU, а это значит, что берешь самое последнее накатываешь и больше ничего не надо.

    Сделал следующее: нашел у себя обновление от декабря 2014 и установил его. А затем сразу же после этого решил поставить самое последнее обновление.....также обновления встали без ошибок.

    Опять же полез в мастер развертывания обнаружил, что напротив "Установить или удалить компоненты Lync Server" отсутствовала галочка. Нажал кнопку "Выполнить" и процесс прошел без каких-либо ошибок.

    • Помечено в качестве ответа Nik0la 10 июля 2015 г. 13:04
    10 июля 2015 г. 10:15